@import "variables";

.map-box{
    padding:0 10%;    
    position: relative;
    height: 27.6vw;
    img{
        width: 80%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: -3vw;
        left: 50%;
        transform: translateX(-50%);
    }
    // .mapouter{
    //     width: 100%;
    //     height: 100%;
    //     position: absolute;
    //     top: -3vw;
    //     left: 50%;
    //     transform: translateX(-50%);
    //     width: 80%;
    //     object-fit: cover;
    //     text-align:right;
    //     .gmap_canvas{
    //         width: 100%;
    //         height: 100%;
    //         overflow:hidden;
    //         background:none!important;
    //     }
    //     .map{
    //         width: 100%;
    //         height: 100%;
    //     }
    // }
} 

.form-box{
    padding:0 10%;
    padding-bottom: 3vw;
    form{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
        "first-name last-name"
        "phone email"
        "textarea textarea"
        "detail send";
        grid-gap: 2.5vw;
        input, textarea{
            padding:0.8vw 1.5vw;
            font-size: 1.1vw;
            border:1px solid #ACACAC;
        }
        input::placeholder, .textarea::placeholder{
            color:#BBBBBB;
        }
        .first-name{
            grid-area: first-name;
        }
        .last-name{
            grid-area: last-name;
        }
        .phone{
            grid-area: phone;
        }
        .email{
            grid-area: email;
        }
        .textarea{
            grid-area: textarea;
        }
        .detail-box{
            grid-area: detail;
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-column-gap: 1.9vw;
            p{
                margin:0;
                font-size: 0.8vw;
            }
        }
        button{
            grid-area:send;
            justify-self: end;
            @extend %button-solid-blue;
        }
        button:hover{
            @extend %button-outline;
        }
    }
}